For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • POSTCreate Company
              • GETGet Company Extra Fields
              • GETGet Company by User ID
              • GETList Company Users
              • GETValidate Frontend User Email
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyCompanies

Get Company Extra Fields

GET
https://api-b2b.bigcommerce.com/api/v2/companies/extra-fields/storefront
GET
/api/v2/companies/extra-fields/storefront
$curl -G https://api-b2b.bigcommerce.com/api/v2/companies/extra-fields/storefront \
> -H "Authorization: Bearer <token>" \
> -d storeHash=abc123
200Retrieved
1{
2 "message": "string",
3 "data": [
4 {
5 "fieldName": "Company_Tax_Code",
6 "labelName": "Company Tax Code",
7 "dataType": "0",
8 "isRequired": "0"
9 }
10 ],
11 "code": 200
12}
Returns a list of available extra fields for Company accounts. Equivalent Storefront GraphQL API Query: `companyExtraFields`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground). This request will only return Company extra fields that are configured to be visible on the storefront.
Was this page helpful?
Previous

Create Company

Next

Get Company by User ID

Built with

Returns a list of available extra fields for Company accounts.

Equivalent Storefront GraphQL API Query: companyExtraFields. For more information, see the GraphQL Playground.

This request will only return Company extra fields that are configured to be visible on the storefront.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

storeHashstringRequired
The unique alphanumeric store hash for the BigCommerce store.

Response

OK
messagestring
datalist of objects
codedoubleDefaults to 200